package org.implab.gradle.containers;

import org.gradle.api.provider.Property;
import org.gradle.api.provider.SetProperty;

public abstract class ComposeExtension {
    public final String COMPOSE_FILE = "compose.yaml";

    public abstract SetProperty<String> getProfiles();

    public abstract Property<String> getComposeFileName();

    public ComposeExtension() {
        getComposeFileName().convention(COMPOSE_FILE);
    }

}
